      LOGICAL FUNCTION EXTOBJ (INOBJ)
C-----------------------------------------------------------------------
C   Check file for existence
C   Inputs:
C      INOBJ   C*   Name of input image object.
C   Output:
C      Returns .TRUE. if there is a catalog entry corresponding to this
C      image object, else returns .FALSE.
C-----------------------------------------------------------------------
      CHARACTER INOBJ*(*)
C
      INTEGER   IERR, MSGSAV, KILSAV
      INCLUDE 'INCS:DMSG.INC'
C                                       Suppress warning messages.
      MSGSAV = MSGSUP
      KILSAV = MSGKIL
      MSGSUP = 32000
      MSGKIL = 32007
C                                       Attach catalog entry
      CALL IMGATT (INOBJ, .FALSE., IERR)
C
      MSGSUP = MSGSAV
      MSGKIL = KILSAV
C
      IF (IERR.EQ.0) THEN
         EXTOBJ = .TRUE.
      ELSE
         EXTOBJ = .FALSE.
      ENDIF
      RETURN
      END
