      SUBROUTINE HMS2RA(HH, MM, SS, RA, IERR)
C-----------------------------------------------------------------------
C   Convert RA in hrs, minutes, seconds to degrees.
C   Inputs:
C      HH      I    Hours
C      MM      I    Minutes
C      SS      R    Seconds
C   Outputs:
C      RA      D    RA in degrees
C      IERR    I    Error code: 0 => ok
C-----------------------------------------------------------------------
      DOUBLE PRECISION    RA
      INTEGER   HH, MM, IERR
      REAL      SS
C
      INCLUDE 'INCS:PAOOF.INC'
      INCLUDE 'INCS:DMSG.INC'
C-----------------------------------------------------------------------
      RA = 15.0D0 * (HH + (MM + SS / 60.0D0) / 60.0D0)
      IERR = 0
999   RETURN
      END
