      REAL FUNCTION POSANG(RA1,DEC1,RA2,DEC2)
C
C Compute position angle in degrees between 2 positions
C (also in degrees)
C
      DOUBLE PRECISION RA1, DEC1, RA2, DEC2
C
      DOUBLE PRECISION PI, D2R, CDEC
      PARAMETER (PI = 3.14159265358979324)
C
      D2R = PI/180.0D0
      CDEC = COS(D2R*DEC2)
      POSANG = ATAN2( CDEC * SIN(D2R*(RA2-RA1)),
     &  SIN(D2R*(DEC2-DEC1)) +
     &  SIN(D2R*DEC1)*CDEC*(1. - COS(D2R*(RA2-RA1))) ) / D2R
      RETURN
      END
