      SUBROUTINE DMS2DC(DCSIGN, DD, MM, SS, DEC, IERR)
C-----------------------------------------------------------------------
C   Convert Dec in degrees, minutes, seconds to degrees.
C   Inputs:
C      DCSIGN  C*1  Sign
C      DD      I    Hours
C      MM      I    Minutes
C      SS      R    Seconds
C   Outputs:
C      DEC     D    Declination in degrees
C      IERR    I    Error code: 0 => ok
C-----------------------------------------------------------------------
      DOUBLE PRECISION    DEC
      CHARACTER*1 DCSIGN
      INTEGER   DD, MM, IERR
      REAL      SS
C-----------------------------------------------------------------------
      DEC = DD + (MM + SS / 60.0D0) / 60.0D0
      IF (DCSIGN .EQ. '-') DEC = -DEC
      IERR = 0
999   RETURN
      END
