      SUBROUTINE SORT5(N,RA,RB,RC,RD,RE,WORK,INDX,IERR)
C Sort by decreasing RA, then by decreasing RB, then by decreasing RC
C All arrays are rearranged on output.
C Note that RD, RE are double precision.
C WORK is double precision work array of length N.
C INDX is integer work array of length N.
      INTEGER N,IERR
      REAL RA(N), RB(N), RC(N)
      DOUBLE PRECISION RD(N), RE(N), WORK(N)
      INTEGER INDX(N)
C
      LOGICAL CMPAR3
      EXTERNAL CMPAR3
C
      IERR=0
      CALL INDEXX(N,RA,RB,RC,INDX,CMPAR3)
C
C Shuffle arrays into sorted order
C
      CALL RSHUFF(N,RA,INDX,WORK)
      CALL RSHUFF(N,RB,INDX,WORK)
      CALL RSHUFF(N,RC,INDX,WORK)
      CALL DSHUFF(N,RD,INDX,WORK)
      CALL DSHUFF(N,RE,INDX,WORK)
C
      RETURN
      END
